Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Makefile.am	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -113,10 +113,17 @@
 	$(srcdir)/Selection/testsuite-selection.at \
 	$(srcdir)/Selection/Atoms/testsuite-selection-atoms.at \
-	$(srcdir)/Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at \
-	$(srcdir)/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at \
-	$(srcdir)/Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at \
-	$(srcdir)/Selection/Atoms/AtomById/testsuite-selection-atom-by-id.at \
-	$(srcdir)/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-atoms-inside-cuboid.at \
-	$(srcdir)/Selection/Atoms/AtomsInsideSphere/testsuite-selection-atoms-inside-sphere.at \
+	$(srcdir)/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at \
+	$(srcdir)/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at \
+	$(srcdir)/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at \
+	$(srcdir)/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at \
+	$(srcdir)/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at \
+	$(srcdir)/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at \
+	$(srcdir)/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at \
+	$(srcdir)/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at \
+	$(srcdir)/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at \
+	$(srcdir)/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at \
+	$(srcdir)/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at \
+	$(srcdir)/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at \
+	$(srcdir)/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at \
 	$(srcdir)/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at \
 	$(srcdir)/Selection/Molecules/testsuite-selection-molecules.at \
Index: sts/regression/Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ 	(revision )
@@ -1,72 +1,0 @@
-### 1. (un)select all atoms
-
-AT_SETUP([Selection - All Atoms])
-AT_KEYWORDS([selection])
-
-file=allatoms.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/allatoms.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All Atoms with Undo])
-AT_KEYWORDS([selection])
-
-file=allatoms.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All Atoms with Redo])
-AT_KEYWORDS([selection])
-
-file=allatoms.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/allatoms.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All Atoms])
-AT_KEYWORDS([selection])
-
-file=box.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All Atoms with Undo])
-AT_KEYWORDS([selection])
-
-file=id0_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/id0_missing.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All Atoms with Redo])
-AT_KEYWORDS([selection])
-
-file=box.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz .], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,36 @@
+### 1. (un)select all atoms
+
+AT_SETUP([Selection - All Atoms])
+AT_KEYWORDS([selection])
+
+file=allatoms.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/allatoms.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All Atoms with Undo])
+AT_KEYWORDS([selection])
+
+file=allatoms.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All Atoms with Redo])
+AT_KEYWORDS([selection])
+
+file=allatoms.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/allatoms.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,37 @@
+### 1. (un)select all atoms
+
+
+AT_SETUP([Unselection - All Atoms])
+AT_KEYWORDS([selection])
+
+file=box.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All Atoms with Undo])
+AT_KEYWORDS([selection])
+
+file=id0_missing.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/id0_missing.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All Atoms with Redo])
+AT_KEYWORDS([selection])
+
+file=box.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/pre/box.xyz .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id 0 --unselect-all-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtoms/post/box.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: sts/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ 	(revision )
@@ -1,108 +1,0 @@
-### 4. (un)select all atoms of molecule
-
-AT_SETUP([Selection - All atoms of selected molecules])
-AT_KEYWORDS([selection])
-
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
-
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms of selected molecules with Undo])
-AT_KEYWORDS([selection])
-
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/test.xyz], 0, [ignore], [ignore])
-
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/test.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms of selected molecules with Redo])
-AT_KEYWORDS([selection])
-
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
-
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms of selected molecules])
-AT_KEYWORDS([selection])
-
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
-
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms of selected molecules with Undo])
-AT_KEYWORDS([selection])
-
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
-
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms of selected molecules with Redo])
-AT_KEYWORDS([selection])
-
-file=molecule0.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
-
-file=molecule1.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,54 @@
+### 4. (un)select all atoms of molecule
+
+AT_SETUP([Selection - All atoms of selected molecules])
+AT_KEYWORDS([selection])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms of selected molecules with Undo])
+AT_KEYWORDS([selection])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/test.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms of selected molecules with Redo])
+AT_KEYWORDS([selection])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 1 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-molecule-by-id 0 --select-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,55 @@
+### 4. (un)select all atoms of molecule
+
+
+AT_SETUP([Unselection - All atoms of selected molecules])
+AT_KEYWORDS([selection])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms of selected molecules with Undo])
+AT_KEYWORDS([selection])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms of selected molecules with Redo])
+AT_KEYWORDS([selection])
+
+file=molecule0.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 0 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule0.xyz], 0, [ignore], [ignore])
+
+file=molecule1.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 -I --select-all-atoms --select-molecule-by-id 1 --unselect-molecules-atoms --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AllAtomsOfMolecule/post/molecule1.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: sts/regression/Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ 	(revision )
@@ -1,108 +1,0 @@
-### 5. (un)select atoms by element
-
-# select element by atomic number: 1, 4
-AT_SETUP([Selection - All atoms with specific element by atomic number])
-AT_KEYWORDS([selection,atom,element,atomic number])
-
-file=test-H_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_missing.xyz], 0, [ignore], [ignore])
-
-file=test-Be_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_missing.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms with specific element by symbol with Undo])
-AT_KEYWORDS([element,symbol])
-
-file=test.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test.xyz], 0, [ignore], [ignore])
-
-file=test.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-AT_SETUP([Selection - All atoms with specific element by symbol with Redo])
-AT_KEYWORDS([element,symbol])
-
-file=test-H_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_missing.xyz], 0, [ignore], [ignore])
-
-file=test-Be_missing.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_missing.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-# select element by atomic number: 1, 4
-AT_SETUP([Unselection - All atoms with specific element by atomic number])
-AT_KEYWORDS([selection,atom,element,atomic number])
-
-file=test-H_present.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
-
-file=test-Be_present.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
-AT_KEYWORDS([element,symbol])
-
-file=test.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
-
-file=test.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
-AT_KEYWORDS([element,symbol])
-
-file=test-H_present.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
-
-file=test-Be_present.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,54 @@
+### 5. (un)select atoms by element
+
+# select element by atomic number: 1, 4
+AT_SETUP([Selection - All atoms with specific element by atomic number])
+AT_KEYWORDS([selection,atom,element,atomic number])
+
+file=test-H_missing.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_missing.xyz], 0, [ignore], [ignore])
+
+file=test-Be_missing.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_missing.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms with specific element by symbol with Undo])
+AT_KEYWORDS([element,symbol])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Selection - All atoms with specific element by symbol with Redo])
+AT_KEYWORDS([element,symbol])
+
+file=test-H_missing.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_missing.xyz], 0, [ignore], [ignore])
+
+file=test-Be_missing.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_missing.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,55 @@
+### 5. (un)select atoms by element
+
+
+# select element by atomic number: 1, 4
+AT_SETUP([Unselection - All atoms with specific element by atomic number])
+AT_KEYWORDS([selection,atom,element,atomic number])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
+AT_KEYWORDS([element,symbol])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
+AT_KEYWORDS([element,symbol])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: sts/regression/Selection/Atoms/AtomById/testsuite-selection-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-atom-by-id.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ 	(revision )
@@ -1,96 +1,0 @@
-### 6. (un)select atom by id
-
-AT_SETUP([Selection - atom with specific id])
-AT_KEYWORDS([selection,id,atom])
-# go through all possible ids (0-7) and removed
-i=0
-while test $i -lt 8; do
-  file=id${i}_missing.xyz
-  # normal
-  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
-  AT_CHECK([chmod u+w $file], 0)
-  AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id ${i} -r], [], [ignore], [ignore])
-  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_missing.xyz])
-  ((i+=1))
-done
-AT_CLEANUP
-
-
-AT_SETUP([Selection - atom with specific id with Undo])
-AT_KEYWORDS([selection,id,atom])
-# go through all possible ids (0-7) and removed
-i=0
-while test $i -lt 8; do
-  file=id${i}_missing.xyz
-  # undo
-  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
-  AT_CHECK([chmod u+w $file], 0)
-  AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id ${i} --undo -r], [], [ignore], [ignore])
-  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/test-undo.xyz])
-  ((i+=1))
-done
-AT_CLEANUP
-
-
-AT_SETUP([Selection - atom with specific id with Redo])
-AT_KEYWORDS([selection,id,atom])
-# go through all possible ids (0-7) and removed
-i=0
-while test $i -lt 8; do
-  file=id${i}_missing.xyz
-  # redo
-  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
-  AT_CHECK([chmod u+w $file], 0)
-  AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id ${i} --undo --redo -r], [], [ignore], [ignore])
-  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_missing.xyz])
-  ((i+=1))
-done
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - atom with specific id])
-AT_KEYWORDS([selection,id,atom])
-# go through all possible ids (0-7) and remove others
-i=0
-while test $i -lt 8; do
-  file=id${i}_present.xyz
-  # normal
-  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
-  AT_CHECK([chmod u+w $file], 0)
-  AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-id ${i} -r], [], [ignore], [ignore])
-  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_present.xyz])
-  ((i+=1))
-done
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - atom with specific id with Undo])
-AT_KEYWORDS([selection,id,atom])
-# go through all possible ids (0-7) and remove others
-i=0
-while test $i -lt 8; do
-  file=id${i}_present.xyz
-  # undo
-  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
-  AT_CHECK([chmod u+w $file], 0)
-  AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-id ${i} --undo -r], [], [ignore], [ignore])
-  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/empty.xyz])
-  ((i+=1))
-done
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - atom with specific id with Redo])
-AT_KEYWORDS([selection,id,atom])
-# go through all possible ids (0-7) and remove others
-i=0
-while test $i -lt 8; do
-  file=id${i}_present.xyz
-  # redo
-  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
-  AT_CHECK([chmod u+w $file], 0)
-  AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-id ${i} --undo --redo -r], [], [ignore], [ignore])
-  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_present.xyz])
-  ((i+=1))
-done
-AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,48 @@
+### 6. (un)select atom by id
+
+AT_SETUP([Selection - atom with specific id])
+AT_KEYWORDS([selection,id,atom])
+# go through all possible ids (0-7) and removed
+i=0
+while test $i -lt 8; do
+  file=id${i}_missing.xyz
+  # normal
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id ${i} -r], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_missing.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
+
+
+AT_SETUP([Selection - atom with specific id with Undo])
+AT_KEYWORDS([selection,id,atom])
+# go through all possible ids (0-7) and removed
+i=0
+while test $i -lt 8; do
+  file=id${i}_missing.xyz
+  # undo
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id ${i} --undo -r], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/test-undo.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
+
+
+AT_SETUP([Selection - atom with specific id with Redo])
+AT_KEYWORDS([selection,id,atom])
+# go through all possible ids (0-7) and removed
+i=0
+while test $i -lt 8; do
+  file=id${i}_missing.xyz
+  # redo
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder -i $file -v 3 --select-atom-by-id ${i} --undo --redo -r], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_missing.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,49 @@
+### 6. (un)select atom by id
+
+
+AT_SETUP([Unselection - atom with specific id])
+AT_KEYWORDS([selection,id,atom])
+# go through all possible ids (0-7) and remove others
+i=0
+while test $i -lt 8; do
+  file=id${i}_present.xyz
+  # normal
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-id ${i} -r], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_present.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - atom with specific id with Undo])
+AT_KEYWORDS([selection,id,atom])
+# go through all possible ids (0-7) and remove others
+i=0
+while test $i -lt 8; do
+  file=id${i}_present.xyz
+  # undo
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-id ${i} --undo -r], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/empty.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - atom with specific id with Redo])
+AT_KEYWORDS([selection,id,atom])
+# go through all possible ids (0-7) and remove others
+i=0
+while test $i -lt 8; do
+  file=id${i}_present.xyz
+  # redo
+  AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/pre/test.xyz $file])
+  AT_CHECK([chmod u+w $file], 0)
+  AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --unselect-atom-by-id ${i} --undo --redo -r], [], [ignore], [ignore])
+  AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomById/post/id${i}_present.xyz])
+  ((i+=1))
+done
+AT_CLEANUP
Index: sts/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-atoms-inside-cuboid.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ 	(revision )
@@ -1,137 +1,0 @@
-### 2. (un)select all atoms inside cuboid
-
-AT_SETUP([Selection - All atoms inside cuboid])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsoutsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0 -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
-
-# check size of cuboid
-AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
-AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
-AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
-AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) || ($3 > 10) || ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "838" stdout], 0, [ignore], [ignore])
-AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) && ($3 < 10) && ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "1" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside cuboid with Undo])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsoutsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside cuboid with Redo])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsoutsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
-
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside cuboid with defaults])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsoutsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
-
-# check size of cuboid
-AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
-AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
-AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
-AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) || ($3 > 10) || ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "838" stdout], 0, [ignore], [ignore])
-AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) && ($3 < 10) && ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "1" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside cuboid with defaults with Undo])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsoutsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside cuboid with defaults with Redo])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsoutsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
-
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms inside cuboid])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsinsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0 -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsinsidecuboid.xyz], 0, [ignore], [ignore])
-
-# check size of cuboid
-AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
-AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
-AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
-AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) || ($3 < 10) || ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "193" stdout], 0, [ignore], [ignore])
-AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) && ($3 > 10) && ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "1" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms inside cuboid with Undo])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsinsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/empty.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms inside cuboid with Redo])
-AT_KEYWORDS([selection,cuboid])
-
-file=allatomsinsidecuboid.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsinsidecuboid.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,48 @@
+### 2. (un)select all atoms inside cuboid
+
+
+AT_SETUP([Selection - All atoms inside cuboid with defaults])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsoutsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
+
+# check size of cuboid
+AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
+AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
+AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) || ($3 > 10) || ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "838" stdout], 0, [ignore], [ignore])
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) && ($3 < 10) && ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "1" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms inside cuboid with defaults with Undo])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsoutsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms inside cuboid with defaults with Redo])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsoutsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
+
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,47 @@
+### 2. (un)select all atoms inside cuboid
+
+AT_SETUP([Selection - All atoms inside cuboid])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsoutsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
+
+# check size of cuboid
+AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
+AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
+AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) || ($3 > 10) || ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "838" stdout], 0, [ignore], [ignore])
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) && ($3 < 10) && ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "1" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms inside cuboid with Undo])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsoutsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms inside cuboid with Redo])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsoutsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsoutsidecuboid.xyz], 0, [ignore], [ignore])
+
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,46 @@
+### 2. (un)select all atoms inside cuboid
+
+
+AT_SETUP([Unselection - All atoms inside cuboid])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsinsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0 -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsinsidecuboid.xyz], 0, [ignore], [ignore])
+
+# check size of cuboid
+AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
+AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
+AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 < 10) || ($3 < 10) || ($4 < 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "193" stdout], 0, [ignore], [ignore])
+AT_CHECK([cat < $file | awk -F" " '{ if (($2 > 10) && ($3 > 10) && ($4 > 10)) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "1" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms inside cuboid with Undo])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsinsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms inside cuboid with Redo])
+AT_KEYWORDS([selection,cuboid])
+
+file=allatomsinsidecuboid.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-cuboid "10,10,10" --position "0,0,0" --angle-x 0 --angle-y 0 --angle-z 0  --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideCuboid/post/allatomsinsidecuboid.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: sts/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-atoms-inside-sphere.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ 	(revision )
@@ -1,91 +1,0 @@
-### 3. (un)select all atoms inside sphere
-
-AT_SETUP([Selection - All atoms inside sphere])
-AT_KEYWORDS([selection,sphere])
-
-file=allatomsoutsidesphere.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-sphere 10 --position "10,10,10" -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsoutsidesphere.xyz], 0, [ignore], [ignore])
-
-# check size of sphere
-AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
-AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
-AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
-AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) > 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "507" stdout], 0, [ignore], [ignore])
-AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) < 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "0" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside sphere with Undo])
-AT_KEYWORDS([selection,sphere])
-
-file=allatomsoutsidesphere.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-sphere 10 --position "10,10,10" --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Selection - All atoms inside sphere with Redo])
-AT_KEYWORDS([selection,sphere])
-
-file=allatomsoutsidesphere.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-sphere 10 --position "10,10,10" --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsoutsidesphere.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-
-AT_SETUP([Unselection - All atoms inside sphere])
-AT_KEYWORDS([selection,sphere])
-
-file=allatomsinsidesphere.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-sphere 10 --position "10,10,10" -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsinsidesphere.xyz], 0, [ignore], [ignore])
-
-# check size of sphere
-AT_SKIP_IF([! awk '' < /dev/null])  # check whether cat is there
-AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether awk is there
-AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
-AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) > 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "2" stdout], 0, [ignore], [ignore])
-AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) < 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
-AT_CHECK([fgrep "524" stdout], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms inside sphere with Undo])
-AT_KEYWORDS([selection,sphere])
-
-file=allatomsinsidesphere.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-sphere 10 --position "10,10,10" --undo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/empty.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Unselection - All atoms inside sphere with Redo])
-AT_KEYWORDS([selection,sphere])
-
-file=allatomsinsidesphere.xyz
-AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
-AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-sphere 10 --position "10,10,10" --undo --redo -r], 0, [stdout], [stderr])
-AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsinsidesphere.xyz], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,46 @@
+### 3. (un)select all atoms inside sphere
+
+AT_SETUP([Selection - All atoms inside sphere])
+AT_KEYWORDS([selection,sphere])
+
+file=allatomsoutsidesphere.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-sphere 10 --position "10,10,10" -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsoutsidesphere.xyz], 0, [ignore], [ignore])
+
+# check size of sphere
+AT_SKIP_IF([! awk '' < /dev/null])  # check whether awk is there
+AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether cat is there
+AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
+AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) > 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "507" stdout], 0, [ignore], [ignore])
+AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) < 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "0" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms inside sphere with Undo])
+AT_KEYWORDS([selection,sphere])
+
+file=allatomsoutsidesphere.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-sphere 10 --position "10,10,10" --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms inside sphere with Redo])
+AT_KEYWORDS([selection,sphere])
+
+file=allatomsoutsidesphere.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-atoms-inside-sphere 10 --position "10,10,10" --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsoutsidesphere.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
+++ tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -0,0 +1,46 @@
+### 3. (un)select all atoms inside sphere
+
+
+AT_SETUP([Unselection - All atoms inside sphere])
+AT_KEYWORDS([selection,sphere])
+
+file=allatomsinsidesphere.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-sphere 10 --position "10,10,10" -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsinsidesphere.xyz], 0, [ignore], [ignore])
+
+# check size of sphere
+AT_SKIP_IF([! awk '' < /dev/null])  # check whether cat is there
+AT_SKIP_IF([! cat >/dev/null < /dev/null])  # check whether awk is there
+AT_SKIP_IF([! wc -l /dev/null])  # check whether wc is there
+AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) > 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "2" stdout], 0, [ignore], [ignore])
+AT_CHECK([cat < $file | awk -F" " '{ if (($2-10)*($2-10)+($3-10)*($3-10)+($4-10)*($4-10) < 100) print $1,$2,$3,$4;}' | wc -l], 0, [stdout], [ignore])
+AT_CHECK([fgrep "524" stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms inside sphere with Undo])
+AT_KEYWORDS([selection,sphere])
+
+file=allatomsinsidesphere.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-sphere 10 --position "10,10,10" --undo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms inside sphere with Redo])
+AT_KEYWORDS([selection,sphere])
+
+file=allatomsinsidesphere.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -v 5 --select-all-atoms --unselect-atoms-inside-sphere 10 --position "10,10,10" --undo --redo -r], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Selection/Atoms/AtomsInsideSphere/post/allatomsinsidesphere.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Selection/Atoms/testsuite-selection-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/testsuite-selection-atoms.at	(revision d70fffeeaa945095af732c68c3627ca366d9de9f)
+++ tests/regression/Selection/Atoms/testsuite-selection-atoms.at	(revision f2872ae885ed8ca989001542d272c75794be73c1)
@@ -4,20 +4,27 @@
 
 # (un)select all atoms
-m4_include(Selection/Atoms/AllAtoms/testsuite-selection-all-atoms.at)
+m4_include(Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at)
+m4_include(Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at)
 
 # (un)select all atoms of molecule
-m4_include(Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-all-atoms-of-molecule.at)
+m4_include(Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at)
+m4_include(Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at)
 
 # (un)select atoms by element
-m4_include(Selection/Atoms/AtomByElement/testsuite-selection-atoms-by-element.at)
+m4_include(Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at)
+m4_include(Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at)
 
 # (un)select atom by id
-m4_include(Selection/Atoms/AtomById/testsuite-selection-atom-by-id.at)
+m4_include(Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at)
+m4_include(Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at)
 
 # (un)select atoms inside cuboid
-m4_include(Selection/Atoms/AtomsInsideCuboid/testsuite-selection-atoms-inside-cuboid.at)
+m4_include(Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at)
+m4_include(Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at)
+m4_include(Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at)
 
 # (un)select atoms inside sphere
-m4_include(Selection/Atoms/AtomsInsideSphere/testsuite-selection-atoms-inside-sphere.at)
+m4_include(Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at)
+m4_include(Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at)
 
 # clear atom selection
